> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Usage

> Return org-level usage for the active billing period and plan limits.



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/usage
openapi: 3.1.0
info:
  title: Crosmos Memory API
  description: Agent memory system with hybrid retrieval
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/usage:
    get:
      tags:
        - usage
      summary: Get Usage
      description: Return org-level usage for the active billing period and plan limits.
      operationId: get_usage_api_v1_usage_get
      parameters:
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date (defaults to 1st of current month)
            title: Start Date
          description: Start date (defaults to 1st of current month)
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date (defaults to today)
            title: End Date
          description: End date (defaults to today)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UsageResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UsageResponse:
      properties:
        plan:
          type: string
          title: Plan
        period_start:
          type: string
          format: date
          title: Period Start
        period_end:
          type: string
          format: date
          title: Period End
        tokens:
          $ref: '#/components/schemas/UsageMetric'
        queries:
          $ref: '#/components/schemas/UsageMetric'
        spaces:
          $ref: '#/components/schemas/UsageMetric'
        rate_limit_rpm:
          type: integer
          title: Rate Limit Rpm
        rate_limit_per_day:
          type: integer
          title: Rate Limit Per Day
      type: object
      required:
        - plan
        - period_start
        - period_end
        - tokens
        - queries
        - spaces
        - rate_limit_rpm
        - rate_limit_per_day
      title: UsageResponse
      description: Aggregated org-level usage and current plan limits.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UsageMetric:
      properties:
        used:
          type: integer
          title: Used
        limit:
          type: integer
          title: Limit
        remaining:
          type: integer
          title: Remaining
      type: object
      required:
        - used
        - limit
        - remaining
      title: UsageMetric
      description: Used / limit / remaining triple. ``-1`` limit means unlimited.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: JWT access token or API key (csk_…)
      scheme: bearer

````